%define name	polyxedit
%define version	0.7.2
%define release 1mdk

Name: 	 	%{name}
Summary: 	Sequence editor GUI from polyxmass
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.polyxmass.org/polyxedit/
License:	GPL
Group:		Sciences/Chemistry
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig gettext bison
BuildRequires:	libglade2.0-devel gtk-doc
BuildRequires:	ImageMagick librsvg-devel
BuildRequires:	pxmutils-devel pxmchem-devel polyxmassdata
Buildrequires:	libpolyxmass-devel
Requires:	polyxmassdata

%description
polyxedit  is a GUI (graphical user interface) program that enables the user
to edit polymer sequences and simulate chemical reactions on a given polymer
sequence so as to later simulate mass spectrometric data obtained on the
resulting polymer sequence. This module will understand any polymer definition
type that is generated using the polyxdef  (see here) module of the polyxmass
mass spectrometry software suite.

%prep
%setup -q

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -fr $RPM_BUILD_ROOT/%_docdir

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="PolyXEdit" longtitle="Polymer sequence editor" section="More applications/Sciences/Chemistry"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 48x48 glade/polyxedit-icon.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
convert -size 32x32 glade/polyxedit-icon.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
convert -size 16x16 glade/polyxedit-icon.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING README THANKS
%{_bindir}/%name
%{_datadir}/%name
%{_datadir}/pixmaps/*
%{_datadir}/polyxmass.d/*
%{_mandir}/man1/*
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Tue Jul 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Mon Feb 25 2004 Austin Acton <austin@mandrake.org> 0.7.0-1mdk
- 0.7.0

* Wed Oct 15 2003 Austin Acton <aacton@yorku.ca> 0.6.1-1mdk
- initial package
